%define tagdate 20140831
%define rel 2

Name:           libqinfinity
Version:        0.6.0
Release:        %mkrel -c %{tagdate} %{rel}
Summary:        Qt style interface to libinfinity
License:        GPLv2+
Group:          Networking/Instant messaging
Url:            https://projects.kde.org/projects/playground/libs/libqinfinity
Source0:        http://download.kde.org/stable/libqinfinity/%{version}/src/libqinfinity-%{version}.tar.gz
BuildRequires:  pkgconfig(libinftext-0.6)
BuildRequires:  pkgconfig(libinfinity-0.6)
BuildRequires:  pkgconfig(libgsasl)
BuildRequires:  pkgconfig(QtNetwork)
BuildRequires:  pkgconfig(QtCore)
BuildRequires:  cmake

%description
Qt style interface to libinfinity, a collaborative editing library.

#------------------------------------------------------------------------------
%define libqinfinity_major 5
%define libqinfinity %mklibname qinfinity  %{libqinfinity_major}

%package -n     %{libqinfinity}
Summary:        Qt style interface for libinfinity
Group:          System/Libraries
Conflicts:	%{_lib}qinfinity3 < %{version}

%description -n %{libqinfinity}
Qt style interface for libinfinity

%files -n %{libqinfinity}
%{_libdir}/libqinfinity.so.%{libqinfinity_major}
%{_libdir}/libqinfinity.so.3.1.0


#------------------------------------------------------------------------------
%define libqinfinity_devel %mklibname qinfinity -d

%package -n     %{libqinfinity_devel}
Summary:        Header files, libraries and development documentation for %{name}
Group:          Development/C
Requires:       %{libqinfinity} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       qinfinity-devel = %{version}-%{release}

%description -n %{libqinfinity_devel}
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%files -n %{libqinfinity_devel}
%{_includedir}/libqinfinity/
%{_libdir}/libqinfinity.so

#------------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake
%make

%install
%makeinstall_std -C build


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 0.6.0-0.20140831.2.mga6
+ Revision: 961176
- Mageia 6 Mass Rebuild

* Fri Aug 14 2015 fwang <fwang> 0.6.0-0.20140831.1.mga6
+ Revision: 864652
- bump libmajor
- use latest git archive

  + daviddavid <daviddavid>
    - rebuild for new libinfinity

* Wed Oct 15 2014 umeabot <umeabot> 0.5.2-3.mga5
+ Revision: 739113
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.2-2.mga5
+ Revision: 681732
- Mageia 5 Mass Rebuild

* Mon Nov 04 2013 lmenut <lmenut> 0.5.2-1.mga4
+ Revision: 549317
- Update to 0.5.2
  fix files list

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 536228
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 483861
- new version 0.5.1

* Thu Aug 29 2013 mikala <mikala> 0.5.0-1.mga4
+ Revision: 472787
- imported package libqinfinity

